//[ui](../../../../index.md)/[com.yandex.payment.sdk.ui.view.payment](../../index.md)/[SelectPaymentAdapter](../index.md)/[PaymentMethodClickListener](index.md)

# PaymentMethodClickListener

[ui]\
interface [PaymentMethodClickListener](index.md)

## Functions

| Name | Summary |
|---|---|
| [onChangeCvn](on-change-cvn.md) | [ui]<br>abstract fun [onChangeCvn](on-change-cvn.md)(position: Int, isValid: Boolean, cvnInput: [CvnInput](../../../com.yandex.payment.sdk.ui/-cvn-input/index.md)) |
| [onSelectPaymentMethod](on-select-payment-method.md) | [ui]<br>abstract fun [onSelectPaymentMethod](on-select-payment-method.md)(position: Int) |
